Bug 107939 - Filter search box in dialogue Field > Cross-references is case-sensitive for Cyrillic characters regardless of filter's case-sensitivity setting
Summary: Filter search box in dialogue Field > Cross-references is case-sensitive for ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Vitaliy
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2017-05-18 20:30 UTC by kompilainenn
Modified: 2018-02-18 11:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
file for example of bug (9.02 KB, application/vnd.oasis.opendocument.text)
2017-05-18 20:32 UTC, kompilainenn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kompilainenn 2017-05-18 20:30:13 UTC
Description:
Filter search box in dialogue Field > Cross-references is case-sensitive for Cyrillic characters regardless of filter's case-sensitivity setting 

Steps to Reproduce:
1. Open file from attach
2. Select menu Insert > Cross-reference
3. In dialogue select Type -> Headings
4. In filter box in section Selection type word "оптика"
5. Instead three variants you will look only one variant

Actual Results:  
filter in text box is case-sensitive

Expected Results:
filter in text box isn't case-sensitive


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 kompilainenn 2017-05-18 20:32:10 UTC
Created attachment 133393 [details]
file for example of bug
Comment 2 tagezi 2017-05-26 05:40:52 UTC
I confirm it
Comment 3 Vitaliy 2017-11-04 16:20:21 UTC
I take it
Comment 4 Vitaliy 2017-11-04 16:48:46 UTC
Please test the patch https://gerrit.libreoffice.org/44307
Comment 5 Commit Notification 2017-11-06 04:37:02 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffa46ebe6d83c5e812753c41857f31c059f33986

tdf#107939 Fix case-insensitive filter in Field Dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 kompilainenn 2017-11-07 19:10:32 UTC
fixed for LO

Version: 6.0.0.0.alpha1+
Build ID: fe7384f7d6539210d46b31f9bde64129088be32b
CPU threads: 4; OS: Windows 6.1; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
from moggi